<?php

  // Include the configuration and database functions.
  require_once("../includes/config.php");

  // Bounce non-admin users out:
  if ( !in_array($unity_id, $admin_users) ) {
    header('Location: ../');
  }

  require_once("../includes/db_functions.php");

  // Connect to the database.
  $collectionsreview_connection = db_connect($db_host, $db_port, $db_user, $db_pass, $db_name);
  print mysql_error($collectionsreview_connection);

  if ( isset($_GET['type']) && ($_GET['type'] != "") ) {
    $type = $_GET['type'];
    switch ($type) {
      case "departmentnumber":
        $affiliation_type = "departmentnumber";
        $affiliation_label = "Department Number";
        break;
      case "ncsupreferreddepartment":
        $affiliation_type = "ncsupreferreddepartment";
        $affiliation_label = "NCSU Preferred Department";
        break;
      case "employeetype":
        $affiliation_type = "employeetype";
        $affiliation_label = "Employee Type";
        break;
      case "employeetitle":
        $affiliation_type = "employeetitle";
        $affiliation_label = "Employee Title";
        break;
      case "ncsuprimaryrole":
        $affiliation_type = "ncsuprimaryrole";
        $affiliation_label = "NCSU Primary Role";
        break;
      default:
        $affiliation_type = "ncsuaffiliation";
        $affiliation_label = "NCSU Affiliation";
    }
  }
  else {
    $affiliation_type = "ncsuaffiliation";
    $affiliation_label = "NCSU Affiliation";
  }

  $count_by_affiliation_result_set = count_by_affiliation($affiliation_type);

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

  <head>
    <title>Admin - Collections and Journals Review</title>
  	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <link rel="stylesheet" href="../includes/css/style.css" type="text/css" />
  </head>

  <body>
  
    <h1>Collections and Journals Review</h1>
    <h2>Administration Tools</h2>

    <hr />

    <h3>Numbers of Logged-in Users by <?php print $affiliation_label; ?></h3>
    <p>NOTE:  These numbers may include users that have not yet ranked or commented on any titles.</p>

    <table class="thinBorder" width="70%">

      <tr>
        <th class="center"><?php print $affiliation_label; ?></th>
        <th class="center">Number of Users</th>
      </tr>

    <?php
    
      while ( $row = mysql_fetch_assoc($count_by_affiliation_result_set) ) {
        print "<tr class=\"trow\">\n" .
              "  <td>" . $row[$affiliation_type] . "</td>\n" .
              "  <td align=\"center\">" . $row['count'] . "</td>\n" .
              "</tr>\n";
      }

    ?>

    </table>

    <p><a href="./">&laquo; Return to Admin Tools</a></p>

  </body>

</html>
