<?php

  // Include the configuration and database functions.
  require_once("../includes/config.php");

  // Bounce non-admin users out:
  if ( !in_array($unity_id, $admin_users) ) {
    header('Location: ../');
  }

  require_once("../includes/db_functions.php");

  // Connect to the database.
  $collectionsreview_connection = db_connect($db_host, $db_port, $db_user, $db_pass, $db_name);
  print mysql_error($collectionsreview_connection);

  if ( isset($_GET['unity_id']) && ($_GET['unity_id'] != "") ) {
    $unity_id = $_GET['unity_id'];
  }
  else {
    $unity_id = "";
  }

  // Fetch the data about this user
  $matching_user_name_result_set = select_matching_user_name($unity_id);
  while ( $row = mysql_fetch_assoc($matching_user_name_result_set) ) {
    $user_id =  $row['user_id'];
    $name = $row['name'];
    $email = $row['email'];
    $unity_id = $row['unity_id'];
    $departmentnumber = $row['departmentnumber'];
    $ncsupreferreddepartment = $row['ncsupreferreddepartment'];
    $ncsuaffiliation = $row['ncsuaffiliation'];
    $employeetype = $row['employeetype'];
    $employeetitle = $row['employeetitle'];
    $ncsuprimaryrole = $row['ncsuprimaryrole'];
  }
  // Fetch the rankings by this user 
  $get_rankings_by_user_result_set = get_rankings_by_user($unity_id);
  
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

  <head>
    <title>Admin - Collections and Journals Review 2014</title>
  	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>

  	<!-- MASTER STYLES AND HEAD: do not remove -->
  	<!--#include virtual="/website/includes/head.html"-->

    <link rel="stylesheet" href="../includes/css/style.css" type="text/css" />

  </head>

  <body>
  
    <!--#include virtual="/website/includes/header.html"-->
  
  	<!-- CONTENT: enter content below this line -->
  
    <h1>Collections and Journals Review 2014</h1>
    <h2>Administration Tools</h2>

    <hr />

    <h3><?php print $name; ?></h3>

    <?php
    
      if ( mysql_num_rows($matching_user_name_result_set) == 0 ) {
        print "<p><strong>No matching users.</strong></p>\n";
      }

      else {
        print "<table class=\"thinBorder\" border=\"1\" width=\"70%\">\n" .
              "  <tr class=\"trow\">\n" .
              "    <th class=\"center\">Email</th>\n" .
              "    <td>" . "<a href=\"mailto:" . htmlspecialchars($email) . "\">" . htmlspecialchars($email) . "</a></td>\n" .
              "  </tr>\n" .
              "  <tr class=\"trow\">\n" .
              "    <th class=\"center\">NCSU Preferred Department</th>\n" .
              "    <td>" . htmlspecialchars($ncsupreferreddepartment) . "</td>\n" .
              "  </tr>\n" .
              "  <tr class=\"trow\">\n" .
              "    <th class=\"center\">NCSU Affiliation</th>\n" .
              "    <td>" . htmlspecialchars($ncsuaffiliation) . "</td>\n" .
              "  </tr>\n" .
              "  <tr class=\"trow\">\n" .
              "    <th class=\"center\">Employee Type</th>\n" .
              "    <td>" . htmlspecialchars($employeetype) . "</td>\n" .
              "  </tr>\n" .
              "  <tr class=\"trow\">\n" .
              "    <th class=\"center\">Employee Title</th>\n" .
              "    <td>" . htmlspecialchars($employeetitle) . "</td>\n" .
              "  </tr>\n" .
              "  <tr class=\"trow\">\n" .
              "    <th class=\"center\">NCSU Primary Role</th>\n" .
              "    <td>" . htmlspecialchars($ncsuprimaryrole) . "</td>\n" .
              "  </tr>\n";
        print "</table>\n";

        print "<p>&nbsp;</p>\n";

        print "<table class=\"thinBorder\" border=\"1\" width=\"100%\">\n" .
              "  <tr class=\"trow\">\n" .
              "    <th class=\"center\">Title Info</th>\n" .
              "    <th class=\"center\">Rank</th>\n" .
              "    <th class=\"center\">Comments</th>\n" .
              "  </tr>\n";

        while ( $row = mysql_fetch_assoc($get_rankings_by_user_result_set) ) {
          $title = $row['title'];
          $publisher = $row['publisher'];
          $subject = $row['subject'];
          $unitprice = $row['unitprice'];
          $usage2011 = $row['usage2011'];
          $usage2012 = $row['usage2012'];
          $usage2013 = $row['usage2013'];
          $impact2012 = $row['impact2012'];
          $publicationsncsulast5years = $row['publicationsncsulast5years'];
          $citationsncsulast5years = $row['citationsncsulast5years'];
          $rank = $row['rank'];
          $comments = $row['comments'];
          print "  <tr class=\"trow\">\n" .
                "    <td>" .
                             "<strong>" . $title . "</strong><br />\n" .
                             "Publisher:&nbsp;&nbsp;" . $publisher . "<br />\n" .
                             "Subject:&nbsp;&nbsp;" . $subject . "<br />\n" .
                             "Unit Price:&nbsp;&nbsp;$" . $unitprice . "<br />\n" .
                             "Downloads 2011:&nbsp;&nbsp;" . $usage2011 . "<br />\n" .
                             "Downloads 2012:&nbsp;&nbsp;" . $usage2012 . "<br />\n" .
                             "Downloads 2013:&nbsp;&nbsp;" . $usage2013 . "<br />\n" .
                             "Impact Factor 2012:&nbsp;&nbsp;" . $impact2012 . "<br />\n" .
                             "Publications Last 5 yrs:&nbsp;&nbsp;" . $publicationsncsulast5years . "<br />\n" .
                             "Citations Last 5 yrs:&nbsp;&nbsp;" . $citationsncsulast5years . "<br />\n" .
                    "</td>\n" .
                "    <td>" . $rank . "</td>\n" .
                "    <td>" . $comments . "</td>\n" .
                "  </tr>\n";
        }

        print "</table>\n";

      }

    ?>

    </table>

    <p><a href="./">&laquo; Return to Admin Tools</a></p>

  	<!-- END OF CONTENT -->
  	
  	<!-- FOOTER: do not remove -->
  	<!--#include virtual="/website/includes/footer.html"-->
  
  
  </body>

</html>
