# ************************************************************
# Sequel Pro SQL dump
# Version 4499
#
# http://www.sequelpro.com/
# https://github.com/sequelpro/sequelpro
#
# Host: 127.0.0.1 (MySQL 5.6.12)
# Database: collectionsreview
# Generation Time: 2015-10-14 18:04:20 +0000
# ************************************************************


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


# Dump of table rankings
# ------------------------------------------------------------

DROP TABLE IF EXISTS `rankings`;

CREATE TABLE `rankings` (
  `rank_id` mediumint(9) NOT NULL AUTO_INCREMENT,
  `title_id` mediumint(9) NOT NULL,
  `unity_id` varchar(12) COLLATE utf8_unicode_ci NOT NULL,
  `rank` text COLLATE utf8_unicode_ci,
  `comments` text COLLATE utf8_unicode_ci,
  PRIMARY KEY (`rank_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `rankings` WRITE;
/*!40000 ALTER TABLE `rankings` DISABLE KEYS */;

INSERT INTO `rankings` (`rank_id`, `title_id`, `unity_id`, `rank`, `comments`)
VALUES
	(1,1,'admin','2 - Medium Priority','This is a good one.  Keep if possible.'),
	(2,7,'admin','1 - Top Priority','This HAS to be kept!'),
	(3,5,'admin',NULL,'I don\'t understand why we still get this one.');

/*!40000 ALTER TABLE `rankings` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table serialslist
# ------------------------------------------------------------

DROP TABLE IF EXISTS `serialslist`;

CREATE TABLE `serialslist` (
  `title_id` mediumint(9) NOT NULL AUTO_INCREMENT,
  `titlecontrol` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `issn` varchar(16) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `title` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `publisher` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `callnumber` varchar(64) COLLATE utf8_unicode_ci DEFAULT NULL,
  `subject` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `unitprice` decimal(9,2) DEFAULT NULL,
  `usage2011` mediumint(9) DEFAULT NULL,
  `usage2012` mediumint(9) DEFAULT NULL,
  `usage2013` mediumint(9) DEFAULT NULL,
  `impact2012` float(6,2) DEFAULT NULL,
  `publicationsncsulast5years` mediumint(9) DEFAULT NULL,
  `citationsncsulast5years` mediumint(9) DEFAULT NULL,
  `display` char(1) COLLATE utf8_unicode_ci DEFAULT NULL,
  `active` char(1) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'y',
  PRIMARY KEY (`issn`,`title_id`),
  UNIQUE KEY `title_id` (`title_id`),
  KEY `title` (`title`),
  FULLTEXT KEY `title_2` (`title`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `serialslist` WRITE;
/*!40000 ALTER TABLE `serialslist` DISABLE KEYS */;

INSERT INTO `serialslist` (`title_id`, `titlecontrol`, `issn`, `title`, `publisher`, `callnumber`, `subject`, `unitprice`, `usage2011`, `usage2012`, `usage2013`, `impact2012`, `publicationsncsulast5years`, `citationsncsulast5years`, `display`, `active`)
VALUES
	(1,'ssj0002312','0149-1423','AAPG bulletin','Tulsa, Okla. : American Association of Petroleum Geologists','TN860','Engineering & Technology',501.00,NULL,NULL,NULL,1.77,NULL,11,'y','y'),
	(2,'ssj0003744','','Abstract and Applied Analysis','Hindawi Publishing Corporation','QA299','Science - Math - Computer Science',335.00,1,3,58,1.10,0,5,'y','y'),
	(3,'a1885079','0896-3789','Academy of Management perspectives','Briarcliff, N.Y. : Academy of Management, 2006-','HD28','Social Sciences (incl. Business and Economics)',135.00,NULL,NULL,NULL,3.17,NULL,1,'y','y'),
	(4,'ssj0000775','0361-3682','Accounting, organizations and society','Amsterdam : Elsevier Ltd.','HF5601','Social Sciences (incl. Business and Economics)',2923.90,105,124,142,1.87,2,36,'y','y'),
	(5,'o01460817','0065-0951','Acta agrobotanica','Warszawa, Panstwowe Wydawnictwo Naukowe.','SB13','Agriculture',92.40,NULL,NULL,NULL,NULL,NULL,NULL,'y','y'),
	(6,'o05796828','0001-7213','Acta veterinaria','Brno, Czechoslovakia : University of Veterinary Science','SF604','Agriculture',172.00,NULL,NULL,NULL,0.39,NULL,2,'y','y'),
	(7,'o56341389','1551-9899','Ad-hoc & sensor wireless networks','Philadelphia, Pa. : Old City Pub.','TK5103','Engineering & Technology',4428.00,NULL,NULL,NULL,0.41,NULL,NULL,'y','y'),
	(8,'ssj0009419','0001-8708','Advances in mathematics','Orlando, Fla. : Academic Press','QA1','Science - Math - Computer Science',4049.84,106,148,126,1.37,2,71,'y','y'),
	(9,'o64566600','1930-5338','Advances in mathematics of communications','Springfield, MO : American Institute of Mathematical Sciences, [2007]-','TK5101','Engineering & Technology',545.00,NULL,NULL,NULL,0.60,NULL,NULL,'y','y'),
	(10,'o261221097','1943-8206','Advances in optics and photonics','Washington, DC : Optical Society of America','TA1501','Engineering & Technology',519.00,18,25,38,NULL,NULL,NULL,'y','y'),
	(11,'o39084544','0001-8732','Advances in physics','[London : Taylor & Francis], 1952-','QC1','Science - Math - Computer Science',4835.00,194,402,185,34.29,1,59,'y','y'),
	(12,'ssj0012772','1095-0761','Advances in theoretical and mathematical physics','International Press of Boston','QC19','Science - Math - Computer Science',272.00,0,4,7,1.07,0,12,'y','y'),
	(13,'o02244599','0001-9240','Aeronautical journal','London : Royal Aeronautical Society, 1968-','TL501','Engineering & Technology',686.42,NULL,NULL,NULL,0.31,1,19,'y','y'),
	(14,'o847527985','2052-451X','Aerospace','-','TL501','Engineering & Technology',251.69,NULL,NULL,NULL,NULL,NULL,NULL,'y','y'),
	(15,'o09991520','0740-722X','Aerospace America','[New York, N.Y. : American Institute of Aeronautics and Astronautics], 1984-','TL501','Engineering & Technology',204.00,NULL,NULL,NULL,0.05,1,NULL,'y','y'),
	(16,'ssj0069551','1539-851X','African Diaspora Journal of Mathematics','Mathematical Research Publishers','QA1','Science - Math - Computer Science',252.00,0,0,2,NULL,NULL,NULL,'y','y'),
	(17,'o28296720','1021-3589','African entomology','Pretoria : Entomological Society of Southern Africa,  c1993-','QL461','Science - Math - Computer Science',230.00,NULL,NULL,NULL,0.97,NULL,7,'y','y'),
	(18,'ssib012447219','','Afrika Statistika','The Statistics and Probability African Society','QA276','Science - Math - Computer Science',100.00,NULL,NULL,1,NULL,NULL,NULL,'y','y'),
	(19,'o07903215','0278-8969','Afro-Hispanic review publication of the Afro-Hispanic Institute','[Washington, D.C.] : The Institute, c1981-','PQ7081','Language and Literature',102.00,NULL,NULL,NULL,NULL,NULL,NULL,'y','y'),
	(20,'o48406952','0002-0729','Age and ageing','[Oxford, England] : Oxford University Press','RC952','Medicine',578.00,95,93,67,3.82,NULL,8,'y','y'),
	(21,'o12849809','0886-2257','Air & space Smithsonian','Washington, D.C. : Smithsonian Institution, c1986-','TL501','Engineering & Technology',35.00,NULL,NULL,NULL,NULL,NULL,NULL,'y','y'),
	(22,'o19417850','0001-9364','Air power history','Washington, D.C. : Air Force Historical Foundation, c1989-','UG633','Military Science',58.00,NULL,NULL,NULL,NULL,NULL,NULL,'y','y'),
	(23,'a2332200','2150-7740','AJOB neuroscience','Philadelphia, Pa. : Taylor & Francis','R725','Medicine',516.00,8,35,65,NULL,NULL,NULL,'y','y'),
	(24,'a2332201','2150-7716','AJOB primary research','Philadelphia, Pa. : Taylor & Francis','R724','Medicine',516.00,1,1,NULL,NULL,NULL,NULL,'y','y'),
	(25,'o10240449','0741-9937','Algebras, groups and geometries','Nonantum, Mass. : Hadronic Press, [c1984-','QA1','Science - Math - Computer Science',195.00,NULL,NULL,NULL,NULL,NULL,NULL,'y','y'),
	(26,'o01479576','0002-7626','American bee journal','Philadelphia, Pa. [etc.] A.M. Spangler [etc.]','SF521','Agriculture',33.00,NULL,NULL,NULL,0.09,4,44,'y','y'),
	(27,'o60625989','0002-7812','American Ceramic Society bulletin','[Easton, Pa. : American Ceramic Society]','TP785','Engineering & Technology',102.00,NULL,NULL,NULL,NULL,2,13,'y','y'),
	(28,'o01479741','0164-0364','American criminal law review','[Chicago] : American Bar Association, Section of Criminal Justice.','K1','Law',62.00,NULL,NULL,NULL,0.85,NULL,NULL,'y','y'),
	(29,'o20371794','1046-2821','American entomologist','Lanham, MD : Entomological Society of America, 1990-','QL461','Science - Math - Computer Science',127.00,NULL,NULL,NULL,NULL,NULL,24,'y','y'),
	(30,'o05691157','0002-8568','American fruit grower','Chicago : International Trade Press, 1931-','SB354','Agriculture',26.95,NULL,NULL,NULL,NULL,NULL,NULL,'y','y'),
	(31,'o11638224','8756-7296','American heritage of invention & technology','[New York, NY : American Heritage Press, c1985-','T1','Engineering & Technology',24.00,NULL,NULL,NULL,NULL,NULL,NULL,'y','y'),
	(32,'o47266307','1526-5161','American journal of bioethics','Cambridge, Mass. : MIT Press, c2001-','R725','Medicine',516.00,147,216,NULL,3.60,NULL,1,'y','y'),
	(33,'o00844194','0002-919X','American journal of comparative law','[Berkeley, Calif.] : American Association for the Comparative Study of Law.','K1','Law',100.00,NULL,NULL,NULL,0.87,NULL,NULL,'y','y'),
	(34,'o45795007','0195-7910','American journal of forensic medicine & pathology','Philadelphia, PA : Lippincott Williams & Wilkins','RA1001','Medicine',1230.93,75,89,85,0.88,NULL,6,'y','y'),
	(35,'o60625958','0890-1171','American journal of health promotion','Royal Oak, MI : M.P. 0\'Donnell','RA427','Medicine',559.00,NULL,NULL,NULL,1.75,NULL,32,'y','y'),
	(36,'l93661985','0002-9319','American journal of legal history','Philadelphia, Pa. : Temple University School of Law, c1957-','K150','Law',62.00,NULL,NULL,NULL,NULL,NULL,NULL,'y','y'),
	(37,'o237092790','1944-7515','American journal on intellectual and developmental disabilities','Washington, DC : American Association on Intellectual and Developmental Disabilities','RC326','Medicine',478.00,10,18,NULL,2.55,NULL,NULL,'y','y'),
	(38,'o52719333','0003-004X','American mineralogist','[Washington, D.C.] : Mineralogical Society of America','QE351','Science - Math - Computer Science',1012.00,NULL,NULL,NULL,2.20,NULL,40,'y','y'),
	(39,'ssj0017771','1466-4658','American nineteenth century history','Ilford, Essex : Frank Cass Publishers, 2000-','E337','History of the Americas',403.00,9,21,15,NULL,NULL,NULL,'y','y'),
	(40,'o01480705','0003-0945','American school and university','New York : Educational Division of North American Pub. Co., 1929-','LB3205','Education',71.00,NULL,NULL,NULL,NULL,NULL,NULL,'y','y'),
	(41,'o10594175','0275-5971','American theatre','[New York, NY : Theatre Communications Group, c1984-','PN2000','Language and Literature',43.00,NULL,NULL,NULL,NULL,NULL,NULL,'y','y'),
	(42,'o09490433','0741-9848','American vegetable grower','Willoughby, Ohio : Meister Publishing Co., 1983-','SB320','Agriculture',26.95,NULL,NULL,NULL,NULL,NULL,NULL,'y','y'),
	(43,'o12754332','0910-6340','Analytical sciences','Tokyo : Japan Society for Analytical Chemistry, [1985-','QD71','Science - Math - Computer Science',260.00,NULL,NULL,NULL,1.57,NULL,13,'y','y'),
	(44,'o70853210','1932-8486','Anatomical record','Hoboken, NJ : John Wiley & Sons, 2007.','QL801','Science - Math - Computer Science',7708.49,126,161,139,1.34,3,69,'y','y'),
	(45,'o85449603','0740-2007','Ancient philosophy','Charlottesville, Va. : Philosophy Documentation Center','B111','Philosophy - Psychology - Religion',245.00,NULL,NULL,NULL,NULL,NULL,NULL,'y','y'),
	(46,'ssj0000800802','2047-2919','Andrology','Oxford : Wiley-Blackwell, c2012-','QP253','Science - Math - Computer Science',1089.26,NULL,1,10,NULL,NULL,NULL,'y','y');

/*!40000 ALTER TABLE `serialslist` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table users
# ------------------------------------------------------------

DROP TABLE IF EXISTS `users`;

CREATE TABLE `users` (
  `user_id` mediumint(9) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `email` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `unity_id` varchar(12) COLLATE utf8_unicode_ci NOT NULL,
  `departmentnumber` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ncsupreferreddepartment` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ncsuaffiliation` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `employeetype` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `employeetitle` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ncsuprimaryrole` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;

INSERT INTO `users` (`user_id`, `name`, `email`, `unity_id`, `departmentnumber`, `ncsupreferreddepartment`, `ncsuaffiliation`, `employeetype`, `employeetitle`, `ncsuprimaryrole`)
VALUES
	(4,'Admin T. User','admin@example.com','admin','','','','','','');

/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;



/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
