<?php

  // To ensure no comments get changed, uncomment this line:
  // return;

  // Include the configuration and database functions.
  require_once("./includes/config.php");

  // If we wish to "freeze" the database to further changes, we set this value
  // in includes/config.php to "false".  If that is the case, then we simply 
  // make this file "return" without processing any input.
  if ($enableDatabaseChanges == false) {
    return;
  }

  require_once("./includes/db_functions.php");

  // Connect to the database.
  $collectionsreview_connection = db_connect($db_host, $db_port, $db_user, $db_pass, $db_name);

  // Collect the necessary environment/post variables.
  if ( isset($_POST['title_id']) && ($_POST['title_id'] != "") && is_numeric($_POST['title_id']) ) {
    $title_id = mysql_real_escape_string($_POST['title_id']); 
  }
  else {
    $title_id = "";
  }
  // $unity_id is already available from includes/config.php ($_SERVER['SHIB_UID']).
  if ( isset($_POST['comments']) && ($_POST['comments'] != "") ) {
    $titlecomments = mysql_real_escape_string(htmlspecialchars($_POST['comments'])); 
  }
  else {
    $titlecomments = "";
  }

  // Query the rankings table to see if there is already a record
  // for this combination of title_id and unity_id.
  $matching_ranking_result_set = select_matching_ranking($title_id, $unity_id);

  // If there is no matching record for this title_id and unity_id...
  if ( mysql_num_rows($matching_ranking_result_set) == 0 ) {
    insert_title_comments($title_id, $unity_id, $titlecomments);
  }
 // Else if there is a matching record...
  elseif ( mysql_num_rows($matching_ranking_result_set) == 1 ) {
    $row = mysql_fetch_assoc($matching_ranking_result_set);
    $this_rank = $row['rank'];
    if ( ($titlecomments == "") && ($this_rank == "") ) {
      delete_ranking($title_id, $unity_id);
    }
    else {
      update_title_comments($title_id, $unity_id, $titlecomments);
    }
  }

?>