<?php

  // Database connection parameters
  $db_host = "localhost";
  $db_port = "3306";
  $db_name = "collectionsreview";
  $db_user = "collectreview";
  $db_pass = "changeme";

  // Contact information
  $contact_name = "Contact Name";
  $contact_email = "contact@example.com";
  
  // Completion date of the review
  $completion_date = "MONTH XX, XXXX";
  
  // Site notification (appears near the top of the home page)
  $site_notification = "<h3>All responses must be completed by " . $completion_date . "</h3>";

  // After the completion date, we may wish to "freeze" the database to further changes.
  // To disable all changes to the database, set this value to "false":
  // This will be used in any scripts that process input:  rankings.php,
  // title_comments.php, and userdata.php.
  $enableDatabaseChanges = true;
  // Also, change the value of "var appEnabled=true" to "false"
  // in includes/js/collectionsreview.js
  // You can also revoke database rights like "insert", "update", etc.

  // Store the user's Unity ID, email, status, and full name
  // NOTE:  These variables were specific to the NC State University
  // authentication system.  You will need to set these values
  // according to your authentication system.  For purposes of this
  // generic code, they have been hard-coded to fixed values below.
  // $unity_id = $_SERVER['XXXXXXXX'];
  // $email = $_SERVER['XXXXXXXX'];
  // $status = $_SERVER['XXXXXXXX']));
  // $name = $_SERVER['XXXXXXXX'];
  $unity_id = "admin";  // NOTE:  The variable name "$unity_id" is the logged-in username
                        // (everyone at NC State has a unique "Unity ID"),
                        // and it appears many places in the code (and in the database)
                        // so if you change it here, you'll need to change it everywhere.
  $email = "admin@example.com";
  $status = "Faculty";
  $name = "Admin User";

  // An array of admin users
  // These users will see a link to "Admin Tools", which is also
  // restricted to these specific users in the webserver configuration.
  $admin_users = array("admin");

  // College affiliations array
  $college_affiliations = array('Agricultural & Life Sciences',
                                'Design',
                                'Education',
                                'Engineering',
                                'Humanities & Social Sciences',
                                'Management',
                                'Natural Resources',
                                'Physical & Mathematical Sciences',
                                'Textiles',
                                'Veterinary Medicine',
                                'First-Year',
                                'Graduate School',
                                'Other');

  // Status
  $user_status = array('Faculty',
                       'Post-Doc',
                       'Graduate',
                       'Undergraduate',
                       'Staff',
                       'Administrator');
                  

  // Rankings array
  $rankings = array('1 - Top Priority',
                    '2 - Medium Priority',
                    '3 - Low Priority');

  // Default page size.  Not used -- the intent was to add pagination to the long list of journals,
  // but we never got around to that.
  $pagesize = 50;


  // Error messages

  $database_connection_error = "<html><p><strong>ERROR:</strong> Could not establish connection to the database.</p></html>";

  $select_matching_user_error = "<strong>ERROR:</strong> Unable to retrieve your information.";

  $select_titles_error = "<strong>ERROR:</strong> Unable to retrieve any titles.";

  $userdata_storage_error = "OOPS! There was a problem storing your information.";
  
  $userdata_insertion_error = "OOPS! There was a problem recording your information.";
  
  $userdata_update_error = "OOPS! There was a problem updating your information.";

?>
